"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getEmailSubscribeBootstrapTheme = exports.getEmailSubscribeBootstrapStyles = void 0;

var _componentEmailsubscribe = require("@mui-treasury/component-emailsubscribe");

var _styles = require("@mui/material/styles");

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var fontFamily = ["-apple-system", "BlinkMacSystemFont", '"Segoe UI"', "Roboto", '"Helvetica Neue"', "Arial", "sans-serif", '"Apple Color Emoji"', '"Segoe UI Emoji"', '"Segoe UI Symbol"'].join(",");

var getEmailSubscribeBootstrapStyles = function getEmailSubscribeBootstrapStyles(arg) {
  var _ref2;

  var _ref = "theme" in arg ? arg.theme : arg,
      palette = _ref.palette,
      spacing = _ref.spacing;

  var white = palette.common.white;
  var inputRadius = "4px";
  var borderWidth = 1;
  var inputPadding = ".375rem .75rem";
  var borderColor = "#ced4da";
  var normalColor = "#80bdff";
  return _ref2 = {}, _defineProperty(_ref2, "& .".concat(_componentEmailsubscribe.emailSubscribeClasses.input), {
    boxSizing: "border-box",
    borderRadius: inputRadius,
    position: "relative",
    backgroundColor: white,
    borderWidth: borderWidth,
    borderColor: borderColor,
    height: "calc(1.5em + .75rem + 2px)",
    padding: inputPadding,
    transition: "border-color .15s ease-in-out,box-shadow .15s ease-in-out",
    // Use the system font instead of the default Roboto font.
    fontFamily: fontFamily,
    "&:hover": {
      borderColor: borderColor,
      boxShadow: "none",
      backgroundColor: white
    },
    "&:focus": {
      outline: "none",
      borderRadius: inputRadius,
      borderColor: normalColor,
      backgroundColor: white,
      boxShadow: "0 0 0 0.2rem ".concat((0, _styles.alpha)(normalColor, palette.mode === "dark" ? 0.48 : 0.75))
    }
  }), _defineProperty(_ref2, "& .".concat(_componentEmailsubscribe.emailSubscribeClasses.submit), {
    marginLeft: "0.5rem",
    fontFamily: fontFamily,
    fontSize: "1rem",
    padding: spacing(1, 1.5),
    backgroundColor: "#007bff",
    borderRadius: inputRadius,
    color: "#fff",
    lineHeight: 1.2,
    "&:hover, &:focus": {
      backgroundColor: "#0069d9",
      border: "none"
    }
  }), _ref2;
};

exports.getEmailSubscribeBootstrapStyles = getEmailSubscribeBootstrapStyles;

var getEmailSubscribeBootstrapTheme = function getEmailSubscribeBootstrapTheme(theme) {
  return {
    JunEmailSubscribe: {
      styleOverrides: {
        form: getEmailSubscribeBootstrapStyles(theme)
      }
    }
  };
};

exports.getEmailSubscribeBootstrapTheme = getEmailSubscribeBootstrapTheme;